> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Show WebhookEvent entity.

> Fetches a WebhookEvent entity.

- Product: Webhook events
- Section: WebhookEvent
- Snapshot: Current
- Method: `GET`
- Path: `/api/webhook_events/{id}`

## Path parameters

### `id`

Type: `number`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.webhookEvents.get({
  id: 0,
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/webhook_events/$ID" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": "id",
    "event": "event",
    "subjectId": 0,
    "webhook": {
      "id": 0,
      "url": "url",
      "secret": "secret",
      "description": "description",
      "events": [],
      "active": true
    },
    "payload": [],
    "status": "pending",
    "responseStatusCode": 0,
    "attempts": 0,
    "error": "error"
  }
]
```

##### Schema

###### WebhookEvent[]

Type: `WebhookEvent[]`  

###### WebhookEvent

Type: `WebhookEvent`  

###### `id`

Type: `string`  
Required: yes  

###### `event`

Type: `string`  
Required: yes  

###### `subjectId`

Type: `number`  
Required: yes  

###### `payload`

Type: `object`  
Required: no  

###### `status`

Type: `string`  
Required: no  
Default: `pending`  

###### `responseStatusCode`

Type: `number`  
Required: no  

###### `attempts`

Type: `number`  
Required: no  
Default: `0`  

###### `error`

Type: `string`  
Required: no  

###### `webhook`

Type: `Webhook`  
Required: yes  

###### `id`

Type: `number`  
Required: yes  

###### `description`

Type: `string`  
Required: no  

###### `url`

Type: `string`  
Required: yes  

###### `secret`

Type: `string`  
Required: yes  

###### `events`

Type: `string[]`  
Required: no  

###### string

Type: `string`  

###### `active`

Type: `boolean`  
Required: no  
Default: `true`  

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/webhook-events/methods/get/)
- [TypeScript Markdown](/webhook-events/methods/get.md?lang=typescript)
- [curl Markdown](/webhook-events/methods/get.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/webhook-events/llms.txt)
- [snapshot llms.txt](/webhook-events/llms.txt)
